pqxx::serialization_failure Class Reference
Exception classes

Transaction failed to serialize. Please retry it. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::serialization_failure:
[legend]

## Public Member Functions

| serialization_failure (const std::string &)
Public Member Functions inherited from pqxx::transaction_rollback
| transaction_rollback (const std::string &)
Public Member Functions inherited from pqxx::failure
| failure (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

Transaction failed to serialize. Please retry it.

Can only happen at transaction isolation levels REPEATABLE READ and SERIALIZABLE.

The current transaction cannot be committed without violating the guarantees made by its isolation level. This is the effect of a conflict with another ongoing transaction. The transaction may still succeed if you try to perform it again.

## Constructor & Destructor Documentation

## serialization_failure()

pqxx::serialization_failure::serialization_failure | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx